## 一、项目简介
metromanage 智慧地铁后台管理项目 

## 二、首次安装
请先熟悉 [git 命令行工具](https://github.com/felix-cao/Blog/issues/8)

### 2.1、 克隆仓库到本地
* Run `git clone <mainline-url>`
```bash
git clone http://sunwin-rdc:3000/SW-BDP/SWWeb.git
```
建议您先配置一下 `author name` 和 `email`
```bash
git config --global user.name "Felix Cao"
git config --global user.email 491766244@qq.com
```
### 2.2、 安装项目依赖
```bash
cd ./SWWEB
npm install
```
### 2.3、 项目启动
```bash
npm run serve
```
### 2.4、 项目打包
```bash
npm run build
```

## 三、开始开发
开发时，一定要保证`master`分支的纯洁性。
### 3.1、 创建一个本地分支
创建一个`feature branch`, 假设您接到一个修复`bug`的任务
```bash
git checkout -b bug
```

### 3.2、码吧
现在可以`coding`了, `coding` 完了后，先看一下自己动了哪些文件，把那些不是本次 `coding` 需要的还原恢复

```bash
git status
```
存到本地仓库 `storage` 中
```bash
git add *
```
提交到仓库
```bash
git commit -m 'fix the 2011 bug'
```

### 3.3、 合并到 master
将 `master` 分支合并到 `dev` 分支
```bash
git checkout master
git pull origin master
git checkout dev
git merge master
```
在这个过程中如果有冲突，一定要先解决掉。冲突解决完成后再按 3.2 步骤走一遍后再走 3.4

### 3.4、 推送到远程仓库
```bash
git push origin dev:master
```